import o from "../../../react-dom/index.mjs";
function a(e, n, d, i) {
  var v = o.unstable_batchedUpdates ? function(s) {
    o.unstable_batchedUpdates(d, s);
  } : d;
  return e != null && e.addEventListener && e.addEventListener(n, v, i), {
    remove: function() {
      e != null && e.removeEventListener && e.removeEventListener(n, v, i);
    }
  };
}
export {
  a as default
};
